Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 14951)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 14952)
@@ -721,7 +721,4 @@
                 ob_class = self.__implemented__.__name__.replace(
                     'waeup.kofa.','')
-                applicants_root.logger.info(
-                    '%s - %s - %s' % (ob_class, result.applicant_id, msg))
-
         grok.getSite()['configuration'].maintmode_enabled_by = None
         self.successful = ', '.join(created)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/createallstudentspage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/createallstudentspage.pt	(revision 14951)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/createallstudentspage.pt	(revision 14952)
@@ -1,13 +1,21 @@
 <div i18n:domain="waeup.kofa">
-  <strong i18n:translate="">Successfully created records:</strong>
-  <br />
-  <div  tal:replace="structure view/successful">
-  </div>
-  <br />
-  <strong i18n:translate="">Failed records:</strong>
-  <br />
-  <div  tal:repeat="value view/failed">
-    <a tal:attributes="href python:value[1]" tal:content="python:value[0]"> ID</a>
-    (<span tal:content="python:value[2]">MSG</span>)
-  </div>
+  <tal:success condition="view/successful">
+    <strong i18n:translate="">Successfully created records:</strong>
+    <br />
+    <div  tal:replace="structure view/successful">
+    </div>
+    <br />
+  </tal:success>
+  <tal:fail condition="view/failed">
+    <strong i18n:translate="">Failed records:</strong>
+    <br />
+    <div  tal:repeat="value view/failed">
+      <a tal:attributes="href python:value[1]" tal:content="python:value[0]"> ID</a>
+      (<span tal:content="python:value[2]">MSG</span>)
+    </div>
+  </tal:fail>
+  <tal:norecord i18n:translate=""
+       condition="python:not view.failed and not view.successful">
+      No record found.
+  </tal:norecord>
 </div>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicantcopier.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicantcopier.py	(revision 14951)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_applicantcopier.py	(revision 14952)
@@ -161,10 +161,12 @@
         self.browser.open(self.container_path + '/createallstudents')
         self.assertTrue('No record found' in self.browser.contents)
+        self.assertFalse('Failed records' in self.browser.contents)
+        self.assertFalse('Successfully created records' in self.browser.contents)
         IWorkflowState(self.applicant).setState('admitted')
         notify(grok.ObjectModifiedEvent(self.applicant))
         self.browser.open(self.container_path + '/createallstudents')
         self.assertTrue('No course admitted provided' in self.browser.contents)
-        logcontent = open(logfile).read()
-        self.assertTrue('No course admitted provided' in logcontent)
+        self.assertFalse('Successfully created records' in self.browser.contents)
+        self.assertTrue('Failed records' in self.browser.contents)
         self.browser.open(self.manage_path)
         self.browser.getControl(name="form.course_admitted").value = ['CERT1']
@@ -174,11 +176,12 @@
         self.browser.open(self.container_path + '/createallstudents')
         self.assertTrue('RequiredMissing: date_of_birth' in self.browser.contents)
-        logcontent = open(logfile).read()
-        self.assertTrue('RequiredMissing: date_of_birth' in logcontent)
+        self.assertTrue('Failed records' in self.browser.contents)
+        self.assertFalse('Successfully created records' in self.browser.contents)
         self.browser.open(self.manage_path)
         self.browser.getControl(name="form.date_of_birth").value = '09/09/1988'
         self.browser.getControl("Save").click()
         self.browser.open(self.container_path + '/createallstudents')
-        self.assertTrue('1 students successfully created' in self.browser.contents)
+        self.assertFalse('Failed records' in self.browser.contents)
+        self.assertTrue('Successfully created records' in self.browser.contents)
 
     def test_hidden_batch_copying_all(self):
@@ -195,9 +198,7 @@
         self.browser.open(self.root_path + '/createallstudents')
         self.assertTrue('No course admitted provided' in self.browser.contents)
-        logcontent = open(logfile).read()
-        self.assertTrue('No course admitted provided' in logcontent)
         self.applicant.course_admitted = self.certificate
         self.browser.open(self.root_path + '/createallstudents')
-        self.assertTrue('1 students successfully created' in self.browser.contents)
+        self.assertTrue('Successfully created records:' in self.browser.contents)
 
     def test_copier_wo_passport(self):
@@ -241,9 +242,4 @@
             'IOError: Application Slip could not be created.'
             in self.browser.contents)
-        logfile = os.path.join(
-            self.app['datacenter'].storage, 'logs', 'applicants.log')
-        logcontent = open(logfile).read()
-        self.assertTrue(
-            'IOError: Application Slip could not be created.' in logcontent)
 
     def disabled_test_delay(self):