Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 14956)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 14961)
@@ -132,7 +132,9 @@
         xmldict['institution_amt'] = '0.0'
         provider_amt = 0.0
+        tech_fee = 0.0
         if self.context.p_category.startswith('schoolfee'):
             self.pay_item_id = '102'
             provider_amt = 2800.0
+            tech_fee = 1200.0
             if student.faccode == 'SPAT':
                 xmldict['institution_acct'] = '1012808851'
@@ -160,8 +162,10 @@
             xmldict['institution_bank_id'] = SPECIAL_PAYMENT_PARAMS[self.context.p_category][3]
         xmldict['provider_amt'] = 100 * provider_amt
+        xmldict['tech_fee'] = 100 * tech_fee
         xmldict['institution_item_name'] = self.context.category
         xmldict['institution_name'] = INSTITUTION_NAME
         xmldict['institution_amt'] = institution_amt = 100 * (
-            self.context.amount_auth - provider_amt - GATEWAY_AMT)
+            self.context.amount_auth - provider_amt - tech_fee - GATEWAY_AMT)
+
         if provider_amt == 0:
             xmltext = """<payment_item_detail>
@@ -170,9 +174,17 @@
 </item_details>
 </payment_item_detail>""" % xmldict
-        else:
+        elif tech_fee == 0:
             xmltext = """<payment_item_detail>
 <item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
+</item_details>
+</payment_item_detail>""" % xmldict
+        else:
+            xmltext = """<payment_item_detail>
+<item_details detail_ref="%(detail_ref)s" college="%(institution_name)s" department="%(department)s" faculty="%(faculty)s">
+<item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
+<item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
+<item_detail item_id="3" item_name="Technology Fee" item_amt="%(tech_fee)d" bank_id="030" acct_num="5100189030" />
 </item_details>
 </payment_item_detail>""" % xmldict
Index: main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py
===================================================================
--- main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 14956)
+++ main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/tests.py	(revision 14961)
@@ -92,5 +92,5 @@
             self.browser.contents)
         self.assertTrue(
-            'item_name="School Fee" item_amt="2695000" bank_id="11" acct_num="0010761873"' in
+            'item_name="School Fee" item_amt="2575000" bank_id="11" acct_num="0010761873"' in
             self.browser.contents)
         # ND FT Non-Deltan Fresh Student Acceptance Fee
@@ -199,7 +199,7 @@
         self.payment_url = self.browser.url
         self.browser.getLink("CollegePAY", index=0).click()
-        self.assertTrue('<item_detail item_id="1" item_name="School Fee 1" item_amt="1617000" bank_id="117" acct_num="1012808851" />'
-            in self.browser.contents)
-        self.assertTrue('<item_detail item_id="2" item_name="School Fee 2" item_amt="1078000" bank_id="123" acct_num="1002883141" />'
+        self.assertTrue('<item_detail item_id="1" item_name="School Fee 1" item_amt="1545000" bank_id="117" acct_num="1012808851" />'
+            in self.browser.contents)
+        self.assertTrue('<item_detail item_id="2" item_name="School Fee 2" item_amt="1030000" bank_id="123" acct_num="1002883141" />'
             in self.browser.contents)
         self.assertTrue('<item_detail item_id="3" item_name="BT Education" item_amt="280000" bank_id="8" acct_num="2028964403" />'