Index: /main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py	(revision 14969)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py	(revision 14970)
@@ -103,6 +103,6 @@
         if self.context.p_category == 'jupeb':
             return '1947198586'
-        if self.context.p_category == 'pharmd_1': 
-            return '2750314820' # Clerkship
+        #if self.context.p_category == 'pharmd_1':
+        #    return '2750314820' # Clerkship
         if self.context.p_category == 'pharmd_2': 
             return '2750174184' # Module 1
@@ -138,7 +138,7 @@
         elif self.context.p_category == 'clearance':
             provider_amt = self.dynamic_provider_amt(self.context.student)
-        elif self.context.p_category == 'pharmd_1':
-            inst_acct = "0020197061015"
-            provider_amt = 0.0
+        #elif self.context.p_category == 'pharmd_1':
+        #    inst_acct = "0020197061015"
+        #    provider_amt = 0.0
         if self.context.student.is_jupeb \
             or self.context.student.current_mode == 'dp_ft':
@@ -163,20 +163,21 @@
         # entire school fee at once. If the amount is less than N240000, the student
         # has obviously paid the first installment of N80000 (pharmd_1)
-        if self.context.p_category == 'schoolfee' \
-            and self.context.student.current_mode == 'special_ft' \
-            and self.context.amount_auth >= 240000:
-            pcn_amt = 80000.0
-            inst_amt -= pcn_amt
-            lineitems = (
-                          {"lineItemsId":"itemid1","beneficiaryName":"Uniben",
-                          "beneficiaryAccount":inst_acct,"bankCode":inst_bankcode,
-                          "beneficiaryAmount":inst_amt,"deductFeeFrom":"1"},
-                          {"lineItemsId":"itemid2","beneficiaryName":"PCN",
-                          "beneficiaryAccount":"0020197061015","bankCode":inst_bankcode,
-                          "beneficiaryAmount":pcn_amt,"deductFeeFrom":"0"},
-                          {"lineItemsId":"itemid3","beneficiaryName":"WAeAC",
-                          "beneficiaryAccount":"1014261520","bankCode":"057",
-                          "beneficiaryAmount":provider_amt,"deductFeeFrom":"0"}
-                        )
+        # (disabled on 16/03/18)
+        #if self.context.p_category == 'schoolfee' \
+        #    and self.context.student.current_mode == 'special_ft' \
+        #    and self.context.amount_auth >= 240000:
+        #    pcn_amt = 80000.0
+        #    inst_amt -= pcn_amt
+        #    lineitems = (
+        #                  {"lineItemsId":"itemid1","beneficiaryName":"Uniben",
+        #                  "beneficiaryAccount":inst_acct,"bankCode":inst_bankcode,
+        #                  "beneficiaryAmount":inst_amt,"deductFeeFrom":"1"},
+        #                  {"lineItemsId":"itemid2","beneficiaryName":"PCN",
+        #                  "beneficiaryAccount":"0020197061015","bankCode":inst_bankcode,
+        #                  "beneficiaryAmount":pcn_amt,"deductFeeFrom":"0"},
+        #                  {"lineItemsId":"itemid3","beneficiaryName":"WAeAC",
+        #                  "beneficiaryAccount":"1014261520","bankCode":"057",
+        #                  "beneficiaryAmount":provider_amt,"deductFeeFrom":"0"}
+        #                )
         self.context.provider_amt = provider_amt
         return lineitems
Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14969)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 14970)
@@ -364,5 +364,5 @@
                 # installments in current session are deducted.
                 if student.current_mode == 'special_ft':
-                    amount = 240000.0 - self._pharmdInstallments(student)
+                    amount = 160000.0 - self._pharmdInstallments(student)
             # Give 50% school fee discount to staff members.
             if student.is_staff:
Index: /main/waeup.uniben/trunk/src/waeup/uniben/utils/utils.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/utils/utils.py	(revision 14969)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/utils/utils.py	(revision 14970)
@@ -87,5 +87,5 @@
         'registration': 'Total Registration Fee',
         'clinexam':'Clinical Examination Fee',
-        'pharmd_1':'Clerkship Fee',
+        #'pharmd_1':'Clerkship Fee',
         'pharmd_2':'Module 1 Fee',
         }
@@ -106,5 +106,5 @@
         'jupeb': 'JUPEB Examination Fee',
         'clinexam':'Clinical Examination Fee',
-        'pharmd_1':'PharmD Clerkship Fee (1st school fee prepayment)',
+        #'pharmd_1':'PharmD Clerkship Fee (1st school fee prepayment)',
         'pharmd_2':'PharmD Module 1 Fee (2nd school fee prepayment)',
         }