Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/applicant.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/applicant.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/applicant.py	(revision 15000)
@@ -22,5 +22,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from kofacustom.nigeria.applicants.applicant import NigeriaApplicant
-from kofacustom.esitm.applicants.interfaces import(
+from kofacustom.edopoly.applicants.interfaces import(
     ICustomApplicant, ICustomUGApplicantEdit, ICustomPGApplicantEdit, IPUTMEApplicantEdit)
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/batching.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/batching.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/batching.py	(revision 15000)
@@ -20,5 +20,5 @@
 from kofacustom.nigeria.applicants.batching import NigeriaApplicantProcessor
 from waeup.kofa.applicants.batching import ApplicantOnlinePaymentProcessor
-from kofacustom.esitm.applicants.interfaces import (
+from kofacustom.edopoly.applicants.interfaces import (
     ICustomApplicant,
     ICustomApplicantUpdateByRegNo,
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/browser.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/browser.py	(revision 15000)
@@ -25,4 +25,4 @@
     NigeriaPDFApplicationSlip)
 
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/export.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/export.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/export.py	(revision 15000)
@@ -24,5 +24,5 @@
 from kofacustom.nigeria.applicants.interfaces import (
     INigeriaUGApplicant, INigeriaPGApplicant)
-from kofacustom.esitm.applicants.interfaces import (
+from kofacustom.edopoly.applicants.interfaces import (
     ICustomUGApplicant, ICustomPGApplicant)
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/interfaces.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/interfaces.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/interfaces.py	(revision 15000)
@@ -37,6 +37,6 @@
     IPUTMEApplicantEdit,
     )
-from kofacustom.esitm.interfaces import MessageFactory as _
-from kofacustom.esitm.payments.interfaces import ICustomOnlinePayment
+from kofacustom.edopoly.interfaces import MessageFactory as _
+from kofacustom.edopoly.payments.interfaces import ICustomOnlinePayment
 
 class ICustomUGApplicant(INigeriaUGApplicant):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/payment.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/payment.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/payment.py	(revision 15000)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.esitm.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.edopoly.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/tests/test_applicant.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/tests/test_applicant.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/tests/test_applicant.py	(revision 15000)
@@ -30,9 +30,9 @@
 from waeup.kofa.interfaces import IFileStoreHandler, IFileStoreNameChooser
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.esitm.applicants.applicant import (
+from kofacustom.edopoly.applicants.applicant import (
     CustomApplicant, CustomApplicantFactory,
     )
-from kofacustom.esitm.applicants.interfaces import ICustomApplicant
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.applicants.interfaces import ICustomApplicant
+from kofacustom.edopoly.testing import FunctionalLayer
 
 class CustomApplicantTest(FunctionalTestCase):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/tests/test_browser.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/tests/test_browser.py	(revision 15000)
@@ -25,10 +25,10 @@
 from zope.intid.interfaces import IIntIds
 from hurry.workflow.interfaces import IWorkflowState
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 from waeup.kofa.browser.tests.test_pdf import samples_dir
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.esitm.applicants.export import CustomApplicantExporter
-from kofacustom.esitm.applicants.batching import CustomApplicantProcessor
+from kofacustom.edopoly.applicants.export import CustomApplicantExporter
+from kofacustom.edopoly.applicants.batching import CustomApplicantProcessor
 
 class CustomApplicantUITests(ApplicantsFullSetup):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/utils.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/utils.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/applicants/utils.py	(revision 15000)
@@ -22,5 +22,5 @@
 from waeup.kofa.applicants.workflow import (INITIALIZED,
     STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/browser/pages.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/browser/pages.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/browser/pages.py	(revision 15000)
@@ -21,5 +21,5 @@
     LoginPage, CertificatePage, CertificateManageFormPage)
 from waeup.kofa.university.interfaces import ICertificate
-from kofacustom.esitm.interfaces import (
+from kofacustom.edopoly.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/browser/tests.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/browser/tests.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/browser/tests.py	(revision 15000)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 from waeup.kofa.app import University
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/configuration.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/configuration.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/configuration.py	(revision 15000)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from kofacustom.esitm.interfaces import (
+from kofacustom.edopoly.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/configure.zcml
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/configure.zcml	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/configure.zcml	(revision 15000)
@@ -1,5 +1,5 @@
 <configure xmlns="http://namespaces.zope.org/zope"
            xmlns:grok="http://namespaces.zope.org/grok">
-  <include package="kofacustom.esitm" file="locales.zcml" />
+  <include package="kofacustom.edopoly" file="locales.zcml" />
 
   <!-- kofacustom.nigeria configures everything we basically need.
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/ftesting.zcml
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/ftesting.zcml	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/ftesting.zcml	(revision 15000)
@@ -2,10 +2,10 @@
    xmlns="http://namespaces.zope.org/zope"
    xmlns:kofa="http://namespaces.waeup.org/kofa"
-   i18n_domain="kofacustom.esitm"
-   package="kofacustom.esitm"
+   i18n_domain="kofacustom.edopoly"
+   package="kofacustom.edopoly"
    >
 
-  <include package="kofacustom.esitm" />
-  <include package="kofacustom.esitm" file="mail.zcml"/>
+  <include package="kofacustom.edopoly" />
+  <include package="kofacustom.edopoly" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interfaces.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interfaces.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interfaces.py	(revision 15000)
@@ -23,5 +23,5 @@
     ISessionConfiguration, academic_sessions_vocab)
 
-_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.esitm')
+_ = MessageFactory = zope.i18nmessageid.MessageFactory('kofacustom.edopoly')
 
 class ICustomSessionConfiguration(ISessionConfiguration):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/browser.py	(revision 15000)
@@ -26,14 +26,14 @@
     InterswitchPageStudent, InterswitchPageApplicant,
     )
-from kofacustom.esitm.students.interfaces import ICustomStudentOnlinePayment
-from kofacustom.esitm.applicants.interfaces import ICustomApplicantOnlinePayment
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.edopoly.applicants.interfaces import ICustomApplicantOnlinePayment
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
 PRODUCT_ID = '' # must be provided by Interswitch
-SITE_NAME = 'esitm-kofa.waeup.org'
+SITE_NAME = 'edopoly-kofa.waeup.org'
 PROVIDER_ACCT = '00000000'
 PROVIDER_BANK_ID = '00'
 PROVIDER_ITEM_NAME = 'BT Education'
-INSTITUTION_NAME = 'ESITM'
+INSTITUTION_NAME = 'EdoPoly'
 CURRENCY = '566'
 GATEWAY_AMT = 150.0
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/tests.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/tests.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/interswitch/tests.py	(revision 15000)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 # Also run tests that send requests to external servers?
@@ -180,5 +180,5 @@
         self.assertTrue(
             'zope.mgr - '
-            'kofacustom.esitm.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
+            'kofacustom.edopoly.interswitch.browser.CustomInterswitchPaymentRequestWebservicePageStudent - '
             'X1000000 - successful schoolfee payment: p3547789850240\n'
             in logcontent)
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/payments/interfaces.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/payments/interfaces.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/payments/interfaces.py	(revision 15000)
@@ -19,5 +19,5 @@
 from zope import schema
 from kofacustom.nigeria.payments.interfaces import INigeriaOnlinePayment
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
 class ICustomOnlinePayment(INigeriaOnlinePayment):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/remita/webservices.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/remita/webservices.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/remita/webservices.py	(revision 15000)
@@ -18,5 +18,5 @@
 
 from kofacustom.nigeria.remita.webservices import PaymentNotificationListenerWebservice
-from kofacustom.esitm.remita.browser import MERCHANTID, HOST, HTTPS, API_KEY
+from kofacustom.edopoly.remita.browser import MERCHANTID, HOST, HTTPS, API_KEY
 
 class CustomPaymentNotificationListenerWebservice(
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/batching.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/batching.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/batching.py	(revision 15000)
@@ -20,5 +20,5 @@
 from kofacustom.nigeria.students.batching import NigeriaStudentProcessor
 from waeup.kofa.students.batching import StudentOnlinePaymentProcessor
-from kofacustom.esitm.students.interfaces import (
+from kofacustom.edopoly.students.interfaces import (
     ICustomStudent,
     ICustomStudentUpdateByRegNo,
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/browser.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/browser.py	(revision 15000)
@@ -41,7 +41,7 @@
     )
 
-from kofacustom.esitm.students.interfaces import (
+from kofacustom.edopoly.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/export.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/export.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/export.py	(revision 15000)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.esitm.students.interfaces import (
+from kofacustom.edopoly.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/interfaces.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/interfaces.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/interfaces.py	(revision 15000)
@@ -25,6 +25,6 @@
     INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
     )
-from kofacustom.esitm.payments.interfaces import ICustomOnlinePayment
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.payments.interfaces import ICustomOnlinePayment
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
 class ICustomStudentBase(INigeriaStudentBase):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/payments.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/payments.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/payments.py	(revision 15000)
@@ -26,5 +26,5 @@
 from kofacustom.nigeria.students.payments import (
     NigeriaStudentOnlinePayment, NigeriaStudentOnlinePaymentFactory)
-from kofacustom.esitm.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.edopoly.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(NigeriaStudentOnlinePayment):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/student.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/student.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/student.py	(revision 15000)
@@ -26,5 +26,5 @@
 from waeup.kofa.utils.helpers import get_current_principal
 from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.esitm.students.interfaces import ICustomStudent
+from kofacustom.edopoly.students.interfaces import ICustomStudent
 
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/studycourse.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/studycourse.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/studycourse.py	(revision 15000)
@@ -27,5 +27,5 @@
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
 from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.esitm.students.interfaces import ICustomStudentStudyCourse
+from kofacustom.edopoly.students.interfaces import ICustomStudentStudyCourse
 
 class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/studylevel.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/studylevel.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/studylevel.py	(revision 15000)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.esitm.students.interfaces import (
+from kofacustom.edopoly.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_browser.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_browser.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_browser.py	(revision 15000)
@@ -34,5 +34,5 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_export.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_export.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_export.py	(revision 15000)
@@ -6,8 +6,8 @@
 from waeup.kofa.students.tests.test_batching import (
     StudentImportExportSetup, curr_year)
-from kofacustom.esitm.utils.utils import CustomKofaUtils
-from kofacustom.esitm.students.export import (
+from kofacustom.edopoly.utils.utils import CustomKofaUtils
+from kofacustom.edopoly.students.export import (
     CustomStudentExporter, CustomStudentPaymentExporter)
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_student.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_student.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/tests/test_student.py	(revision 15000)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.esitm.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.esitm.students.studycourse import (
+from kofacustom.edopoly.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.edopoly.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.esitm.students.studylevel import (
+from kofacustom.edopoly.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.esitm.students.interfaces import (
+from kofacustom.edopoly.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/utils.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/utils.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/utils.py	(revision 15000)
@@ -21,5 +21,5 @@
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
 from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.esitm.interfaces import MessageFactory as _
+from kofacustom.edopoly.interfaces import MessageFactory as _
 
 class CustomStudentsUtils(NigeriaStudentsUtils):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/viewlets.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/viewlets.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/students/viewlets.py	(revision 15000)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.esitm.students.interfaces import (
+from kofacustom.edopoly.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.fileviewlets import (
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/testing.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/testing.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/testing.py	(revision 15000)
@@ -19,9 +19,9 @@
 """
 import os.path
-import kofacustom.esitm
+import kofacustom.edopoly
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(kofacustom.esitm.__file__), 'ftesting.zcml')
+    os.path.dirname(kofacustom.edopoly.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_configuration.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_configuration.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_configuration.py	(revision 15000)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from kofacustom.esitm.configuration import (
+from kofacustom.edopoly.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from kofacustom.esitm.interfaces import(
+from kofacustom.edopoly.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_datacenter.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_datacenter.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_datacenter.py	(revision 15000)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_smtp.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_smtp.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/tests/test_smtp.py	(revision 15000)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 #
Index: main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/utils/tests.py
===================================================================
--- main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/utils/tests.py	(revision 14998)
+++ main/kofacustom.edopoly/trunk/src/kofacustom/edopoly/utils/tests.py	(revision 15000)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.esitm.testing import FunctionalLayer
+from kofacustom.edopoly.testing import FunctionalLayer
 
 