Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 15012)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcheckstatus.pt	(revision 15016)
@@ -19,13 +19,6 @@
       </td>
     </tr>
-    <tr tal:condition="view/captcha_code">
-      <td i18n:translate="">
-        Please solve the captcha<br />to prevent misuse of this service:
-      </td>
-      <td>
-        <div tal:content="structure view/captcha_code"></div>
-      </td>
-    </tr>
   </table>
+  <div tal:content="structure view/captcha_code"></div>
   <br />
   <input class="btn btn-primary" type="submit" name="SUBMIT"
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantregister.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantregister.pt	(revision 15012)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantregister.pt	(revision 15016)
@@ -5,13 +5,4 @@
     <tbody>
       <tal:widgets content="structure provider:widgets" />
-      <tr tal:condition="view/captcha_code">
-        <td i18n:translate="">
-          Please solve the captcha<br />to prevent misuse of this service:
-        </td>
-        <td>
-          <div tal:content="structure view/captcha_code"></div>
-        </td>
-      </tr>
-
     </tbody>
   </table>
@@ -24,4 +15,6 @@
     credentials will be sent to the address provided.
   </p>
+  <div tal:content="structure view/captcha_code"></div>
+  <br />
   <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt	(revision 15012)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/changepw.pt	(revision 15016)
@@ -5,13 +5,4 @@
     <tbody>
       <tal:widgets content="structure provider:widgets" />
-      <tr tal:condition="view/captcha_code">
-        <td i18n:translate="solve_captcha">
-          Please solve the captcha<br />to prevent misuse of this service:
-        </td>
-        <td>
-          <div tal:content="structure view/captcha_code"></div>
-        </td>
-      </tr>
-
     </tbody>
   </table>
@@ -25,4 +16,5 @@
     of address.
   </p>
+  <div tal:content="structure view/captcha_code"></div>
   <br />
   <div tal:condition="view/availableActions">
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/contactform.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/contactform.pt	(revision 15012)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/contactform.pt	(revision 15016)
@@ -20,7 +20,5 @@
   <tal:captcha condition="view/captcha_code|nothing">
     <p tal:content="structure view/captcha_code"></p>
-    <p i18n:translate="">
-      Please solve the captcha to prevent misuse of this service.
-    </p>
+    <br />
   </tal:captcha>
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/requestpw.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/requestpw.pt	(revision 15012)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser_templates/requestpw.pt	(revision 15016)
@@ -5,13 +5,4 @@
     <tbody>
       <tal:widgets content="structure provider:widgets" />
-      <tr tal:condition="view/captcha_code">
-        <td i18n:translate="">
-          Please solve the captcha<br />to prevent misuse of this service:
-        </td>
-        <td>
-          <div tal:content="structure view/captcha_code"></div>
-        </td>
-      </tr>
-
     </tbody>
   </table>
@@ -21,4 +12,5 @@
     To be able to proceed you must provide a valid email address!
   </p>
+  <div tal:content="structure view/captcha_code"></div>
   <br />
   <div tal:condition="view/availableActions">