Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 15020)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interfaces.py	(revision 15021)
@@ -302,4 +302,28 @@
         )
 
+    sports_fee = schema.Float(
+        title = _(u'Sports Clearance Levy'),
+        default = 0.0,
+        required = True,
+        )
+
+    siwes_fee = schema.Float(
+        title = _(u'SIWES Fee'),
+        default = 0.0,
+        required = True,
+        )
+
+    eed_fee = schema.Float(
+        title = _(u'EED Fee'),
+        default = 0.0,
+        required = True,
+        )
+
+    olevel_results_fee = schema.Float(
+        title = _(u'O\' Level Results Verification'),
+        default = 0.0,
+        required = True,
+        )
+
     def getSessionString():
         """Returns the session string from the vocabulary.
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 15020)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/interswitch/browser.py	(revision 15021)
@@ -38,4 +38,5 @@
 CURRENCY = '566'
 GATEWAY_AMT = 250.0
+MAC = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
 
 POST_ACTION = 'https://webpay.interswitchng.com/paydirect/pay'
@@ -111,5 +112,5 @@
     currency = CURRENCY
     product_id = PRODUCT_ID
-    mac = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
+    mac = MAC
     pay_item_id = '000'
 
@@ -156,4 +157,20 @@
             xmldict['institution_acct'] = '2006612782'
             xmldict['institution_bank_id'] = '8'
+        elif self.context.p_category == 'sports':
+            self.pay_item_id = '110'
+            xmldict['institution_acct'] = '6060300688'
+            xmldict['institution_bank_id'] = '51'
+        elif self.context.p_category == 'siwes':
+            self.pay_item_id = '111'
+            xmldict['institution_acct'] = '1001174679'
+            xmldict['institution_bank_id'] = '123'
+        elif self.context.p_category == 'eed':
+            self.pay_item_id = '112'
+            xmldict['institution_acct'] = '0039782431'
+            xmldict['institution_bank_id'] = '11'
+        elif self.context.p_category == 'olevel_results':
+            self.pay_item_id = '113'
+            xmldict['institution_acct'] = '2015327204'
+            xmldict['institution_bank_id'] = '8'
         elif self.context.p_category in SPECIAL_PAYMENT_PARAMS.keys():
             self.pay_item_id = SPECIAL_PAYMENT_PARAMS[self.context.p_category][0]
@@ -271,5 +288,5 @@
     pay_item_id = '101' # must be provided by Interswitch
     product_id = PRODUCT_ID
-    mac = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
+    mac = MAC
 
     def update(self):
@@ -353,5 +370,5 @@
     gateway_host = HOST
     gateway_url = URL
-    mac = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
+    mac = MAC
 
 class CustomInterswitchPaymentVerifyWebservicePageStudent(
@@ -363,5 +380,5 @@
     gateway_host = HOST
     gateway_url = URL
-    mac = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
+    mac = MAC
 
 class CustomInterswitchPaymentRequestWebservicePageApplicant(
@@ -373,5 +390,5 @@
     gateway_host = HOST
     gateway_url = URL
-    mac = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
+    mac = MAC
 
 class CustomInterswitchPaymentVerifyWebservicePageApplicant(
@@ -383,3 +400,3 @@
     gateway_host = HOST
     gateway_url = URL
-    mac = 'D43ED93B7A307B152C7111D04E1F384428057CD1E75428D3A4C5631C28ACB9C8C822A88CA76DEDC5F9A520CF4BFDB2824FF8B207AAFC667DF3CBB13685B66627'
+    mac = MAC
Index: /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py
===================================================================
--- /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 15020)
+++ /main/kofacustom.dspg/trunk/src/kofacustom/dspg/utils/utils.py	(revision 15021)
@@ -106,4 +106,8 @@
         'ijmb_result':'IJMB Result',
         'gown': 'Gown Hire Fee',
+        'sports': 'Sports Clearance Levy',
+        'siwes': 'SIWES Fee',
+        'eed': 'EED Fee',
+        'olevel_results': 'O\' Level Results Verification',
         }
 
@@ -152,4 +156,8 @@
         #'nysc_id_card': 'NYSC ID Card',
         #'ijmb_result':'IJMB Result',
+        'sports': 'Sports Clearance Levy',
+        'siwes': 'SIWES Fee',
+        'eed': 'EED Fee',
+        'olevel_results': 'O\' Level Results Verification',
         }
 